import java.util.List;
import java.util.Map;

public class ClassDetail {
    private OopType type;
    private String name;
    private Map<String, String> properties;
    private List<Method> methods;
    private List<String> oop;

    public ClassDetail(OopType type, String name, Map<String, String> properties, List<Method> methods, List<String> oop) {
        this.type = type;
        this.name = name;
        this.properties = properties;
        this.methods = methods;
        this.oop = oop;
    }

    public OopType getType() {
        return type;
    }
    public void setType(OopType type) {
        this.type = type;
    }

    public String getName() {
        return name;
    }
    public void setName(String name) {
        this.name = name;
    }

    public Map<String, String> getProperties() {
        return properties;
    }
    public void setProperties(Map<String, String> properties) {
        this.properties = properties;
    }

    public List<Method> getMethods() {
        return methods;
    }
    public void setMethods(List<Method> methods) {
        this.methods = methods;
    }

    public List<String> getOop() {
        return oop;
    }
    public void setOop(List<String> oop) {
        this.oop = oop;
    }
}
